import type { DownloadMetaData } from '../procoregl/Models/Models';
import type { PWF, PWFVersion } from './PWFTypes';
export declare const MESHNODE_BUFFER_MAX_CHUNK_SIZE = 100000;
export declare const NODE_BUFFER_MAX_CHUNK_SIZE = 100000;
export declare const MESH_BUFFER_MAX_CHUNK_SIZE = 3000;
export declare function isPartitionProxiesAB(buffer: ArrayBuffer): boolean;
export declare function constructPartitionFASUrl(partitionUrl: string, baseUrl: string, projectId: number): string;
export declare function trackDownloadComplete(params: {
    totalPartitionsSize?: number;
    totalPartitionsSizeCompressed?: number;
    numPartitions?: number;
    modelType: 'standard' | 'partitioned';
    downloadMetaData: DownloadMetaData;
}): Promise<void>;
export declare function trackPartitionInitComplete(params: {
    success: boolean;
    errorDescription?: string;
    pwf: PWF;
}): void;
export declare function readVersion(version: PWFVersion): {
    major: number;
    minor: number;
};
